capture log close
log using 02-19-2023-main-analysis, replace text






****table1***
xttab cinc_asym30
xttab gdp_asym30

***table2***
sum weakini weakinifmid absidealdiff s3un onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar cinc

********Table 3*********
xttab weakini
xttab weakini_50
xttab weakini_100

xttab weakinifmid
xttab weakinifmid_50
xttab weakinifmid_100


****Table 4 ****
/*Taken from Correlates of War dataset on System membership */

*****Figure 1*****
twoway (bar sumweakini decade)

***Table 5.0***
stset dur, id(rcode) failure(weakini)

stcox i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj conttype coldwar , cluster(rcode)
estat phtest, detail

****Figure 2****
stcurve, cumhaz at(onlyweakallied=(1)) at(onlyweakallied=(0)) range(0 20)

 
stset dur, id(rcode) failure(weakinifmid)
stcox i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj  conttype coldwar, cluster(rcode)
 
***Figure 2****
stcurve, cumhaz at(onlyweakallied=(1)) at(onlyweakallied=(0)) range(0 20)


stset duration, id(rcode) failure(durindx==1)

stcox i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj conttype coldwar ,  cluster(rcode)
estat phtest, detail

 ***Table 5.1***
stset dur, id(rcode) failure(weakini_50)

stcox i.onlyweakallied_50 onlystrongallied_50 wsallied_50 multino_mutual otherboth spatial positional demdem majmaj conttype coldwar , cluster(rcode)
estat phtest, detail


stset dur, id(rcode) failure(weakini_100)

streg i.onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj conttype coldwar , d(w)  cluster(rcode)


 
 ****Table 5.2: refer to MIDs_Model_Data.dta****
 
 ****Table 5.3**********
 
 
 stset dur, id(rcode) failure(weakini_n1)

stcox i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj conttype coldwar , cluster(rcode)
estat phtest, detail

stset dur, id(rcode) failure(weakini_n2)

stcox i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj conttype coldwar , cluster(rcode)
estat phtest, detail


 
***Table 6.0****



xtpcse absidealdiff i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse absidealdiff2 onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar, p
xtpcse absidealdiff4 onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar, p
xtpcse absidealdiff6 onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar, p

***Table 6.1****


xtpcse absidealdiff onlyweakallied_50 onlystrongallied_50 wsallied_50 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse absidealdiff2 onlyweakallied_50 onlystrongallied_50 wsallied_50  multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse absidealdiff4 onlyweakallied_50 onlystrongallied_50 wsallied_50  multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse absidealdiff6 onlyweakallied_50 onlystrongallied_50 wsallied_50  multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 

***Table 6.2****

xtpcse absidealdiff onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse absidealdiff2 onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse absidealdiff4 onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse absidealdiff6 onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 


*** Table 7.0 Supplimental table*****

xtpcse s3un  onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse s3un2 onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar, p
xtpcse s3un4 onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar, p
xtpcse s3un6 onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar, p

****Table 7.1 Supplimental table***
xtpcse s3un onlyweakallied_50 onlystrongallied_50 wsallied_50 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse s3un2 onlyweakallied_50 onlystrongallied_50 wsallied_50 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse s3un4 onlyweakallied_50 onlystrongallied_50 wsallied_50 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse s3un6 onlyweakallied_50 onlystrongallied_50 wsallied_50 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 

****Table 7.2 Supplimental table***

xtpcse s3un onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse s3un2 onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse s3un4 onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
xtpcse s3un6 onlyweakallied_100 onlystrongallied_100 wsallied_100 multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 


****Table 8*****
stset dur, id(rcode) failure(weakini)



bys weakdyad: streg i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj  conttype coldwar , d(w) cluster(rcode)
bys strongdyad: streg i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj  conttype coldwar , d(w) cluster(rcode)


****Table 9.0****

bys weakdyad: xtpcse absidealdiff i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 
bys strongdyad: xtpcse absidealdiff i.onlyweakallied onlystrongallied wsallied multino_mutual otherboth spatial positional demdem majmaj fmid conttype coldwar , p 


***Table 10: Refer to US-RUS-Model dataset****





log close
exit 








